%global pypi_name cmake-build-extension

Name:           python-cmake-build-extension
Version:        0.5.1
Release:        3%{?dist}
Summary:        Python CMake extension

License:        MIT
URL:            https://pypi.org/project/cmake-build-extension
Source0:        cmake-build-extension-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

Requires:       python3-GitPython

%global _python_dist_allow_version_zero 1

%description
Setuptools extension to build and package CMake projects

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Setuptools extension to build and package CMake projects


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

sed -i '/cmake/d' %{buildroot}%{python3_sitelib}/cmake_build_extension-*.egg-info/requires.txt
sed -i '/ninja/d' %{buildroot}%{python3_sitelib}/cmake_build_extension-*.egg-info/requires.txt

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/*


%changelog
* Mon Jul 26 2021 Balint Cristian <cristian.balint@gmail.com> - 0.3.2-1
- Initial package.
